सामग्री पर जाएँ

Wan-2.1 Pro Image-to-Video

इंटीग्रेट करें

मॉडल id wan-pro/image-to-video
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/wan-pro/image-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध: $0.80 800 API क्रेडिट इसे इस पेज पर चलाएँ

API कुंजी प्राप्त करें
Alibaba इमेज से वीडियो #image-to-video#motion

Wan 2.1 Pro इमेज-टू-वीडियो, जो केवल सीड नियंत्रण के साथ प्रॉम्प्ट से एक इमेज को एनीमेट करता है

Alibaba · वीडियो

आपका पहला परिणाम यहाँ आएगा

नीचे एक अनुरोध बनाएँ और उसे अपनी API कुंजी से चलाएँ। आउटपुट हमारे स्टोरेज में कॉपी किए जाते हैं और हमेशा के लिए या 7 दिन तक मुफ़्त में रखे जाते हैं।

अनुरोध बनाएँ

कंट्रोल मॉडल स्कीमा से जनरेट होते हैं। इन्हें बदलने पर कोड और कीमत अपडेट होती है।

•आवश्यक

वीडियो निर्माण के लिए उपयोग किया गया प्रॉम्प्ट।

•आवश्यक image_url
फ़ाइल ड्रॉप करें, या

वीडियो निर्माण के लिए उपयोग किया जाने वाला स्रोत इमेज URL।

उन्नत seed · enable_safety_checker

निर्माण को पुनरुत्पाद्य बनाने वाली सीड। इसे None पर सेट करने से सीड यादृच्छिक रूप से चुनी जाती है।

POST /run/wan-pro/image-to-video?wait=20 कोटेशन → $0.80
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/wan-pro/image-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध चलाएँ

आपकी key इसी ब्राउज़र में रहती है: इसे केवल Doitong API को भेजा जाता है और केवल तभी (localStorage) में सेव किया जाता है जब आप Remember चुनते हैं। API कुंजी प्राप्त करें

Wan-2.1 Pro Image-to-Video के बारे में

`image_url` के रूप में दी गई स्थिर इमेज को `prompt` के निर्देशानुसार एनीमेट करता है। आउटपुट एक वीडियो फ़ाइल होता है। अन्य केवल इनपुट पुनरुत्पादन के लिए `seed` और सेफ़्टी चेकर टॉगल हैं। रिज़ॉल्यूशन या अवधि के विकल्प उपलब्ध नहीं हैं।

पैरामीटर

कैनोनिकल नाम या नेटिव नाम में से कोई एक भेजें, दोनों नहीं। कैनोनिकल नाम

नामप्रकार डिफ़ॉल्टअनुमत विवरण
promptआवश्यक
प्रकारstring
वीडियो निर्माण के लिए उपयोग किया गया प्रॉम्प्ट।
seedवैकल्पिक
प्रकारinteger | null
निर्माण को पुनरुत्पाद्य बनाने वाली सीड। इसे None पर सेट करने से सीड यादृच्छिक रूप से चुनी जाती है।
enable_safety_checkerवैकल्पिक
प्रकारboolean
डिफ़ॉल्टtrue
नियंत्रित करता है कि सुरक्षा जाँचकर्ता सक्षम है या नहीं।
image_urlआवश्यक image
प्रकारurl · image
वीडियो निर्माण के लिए उपयोग किया जाने वाला स्रोत इमेज URL।
आवश्यक कैनोनिकल नाम, यह भी स्वीकार्य है

फ़ाइल पैरामीटर में सार्वजनिक https:// URL, 10 MB तक का data: URI, या अपलोड का file_url लिया जाता है। फ़ाइलें

आउटपुट

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "wan-pro/image-to-video",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 800,
    "usd": "0.80",
    "charged": 800,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
आपकी फ़ाइलें, आपकी पसंदहर outputs[].url हमारे स्टोरेज में एक कॉपी है: हमेशा के लिए (प्रति GB-माह भुगतान) या 7 दिन तक मुफ़्त में, आपके अकाउंट की सेटिंग या ?storage= के अनुसार।
हर मॉडल पर एक जैसा आकारइमेज, वीडियो और ऑडियो सभी के लिए type, url, content_type, width, height और duration। output मॉडल का अपना परिणाम ऑब्जेक्ट है।
आउटपुट के फ़ील्ड
video
object {url, content_type, file_name, file_size}मॉडल द्वारा निर्मित वीडियो।

और मॉडल: इमेज से वीडियो

AI एजेंट के लिए: इस पेज का Markdown यहाँ है https://doitong.com/hi/developers/models/wan-pro/image-to-video.md. सभी मॉडल और गाइड: https://doitong.com/developers/llms.txt